var path = require("path");
var fs = require('fs');
var colors = require('colors');
var Promise = require('promise');

module.exports = new function() {
	this.log = function(str) {
		this.machine.log("react-native: ".grey + str);
	}

	this.install = function() {
		return new Promise((resolve, reject) => {
			this.log("install");
			resolve();
		});
	}

	this.uninstall = function() {
		return new Promise((resolve, reject) => {
			this.log("uninstall");
			resolve();
		});
	}

	this.refresh = () => {
		return new Promise((resolve, reject) => {
			this.log("refresh");
			resolve();
		});
	}

	this.build = (watch) => {
		return new Promise((resolve, reject) => {
			this.log("build");
			resolve();
		});
	}

	this.configure = () => {
		return new Promise((resolve, reject) => {
			this.log("configure");
			resolve();
		});
	}
}